var Api = require('../../utils/api.js');
import { validateIdCard } from '../../utils/util'
var app = getApp();

Page({
  data: {
    title: "录入信息",
    array: ['请选择', '小学', '初中', '高中（包括中专和普通高中）', '大学（包括高职、大专及本科）', '研究生及以上', '文盲'],
    date: '1980-01-01',
    time: '请选择时间',
    items: [{
        name: '男',
        value: '男'
      },
      {
        name: '女',
        value: '女'
      },
    ],
    sex: '',
    username: '',
    usernumber:'',
    index: 0,
    title1: "", // 答题
    content: '',
    otype: -2,
    lb_id: '',
    lb_tz: -1,
    tplb: -1,
    show: false,
    payInfo: true,
    array1: ['请选择', '已婚', '未婚', '离异', '丧偶'],
    select: 0,
    username1: '',
    hosiptiaFlag: true,
    helpArr: [{
      name: '核心型',
      value: '核心型'
    }, {
      name: '大家庭',
      value: '大家庭'
    }, {
      name: '单亲型',
      value: '单亲型'
    }, {
      name: '父母离婚',
      value: '父母离婚'
    }, {
      name: '重组型',
      value: '重组型'
    }, {
      name: '其他',
      value: '其他'
    }],
    home: '', // 家庭类型
    fage: '', // 父亲年龄
    foccupation: '', //父亲职业
    fdegree: '', //父亲文化程度
    mage: '', // 母亲年龄
    moccupation: '', //母亲职业
    mdegree: '', //母亲文化程度
    idCard:'',
    showInfo:'',//是否从列表第一次进去 1是 2-续答
  },
  onLoad: function(options) {
    if(options.g_id) {
        wx.setStorageSync('g_id',options.g_id);
    }
    if(options.paramTopenid) {
        wx.setStorageSync('param_t_openid',options.paramTopenid);
    }
    var that = this;
    if(options.showInfo) {
        that.setData({
            showInfo:options.showInfo
        })
    }
    var info = wx.getStorageSync('tplbDetail');
    if (info.unitid == 737) {
      this.setData({
        hosiptiaFlag: false
      })
    } else {
      this.setData({
        hosiptiaFlag: true
      })
    }
    this.setData({
      tplb: 1
    })
    console.log(info, 'info')
    this.loaditem(info);
    this.loadData();
    wx.setNavigationBarTitle({
      title: this.data.title
    });
    let allData = wx.getStorageSync('data');
    this.setData({
      unitid: allData.unitid,
      // unitid: 775,
    })
  },
  loaditem(e) {
    var loadPhoto = setTimeout(function() {
      wx.showLoading({
        title: '加载中...',
      })
    }, 1000)
    // 咨询师的openID 和时间
    let that = this;
    var user = wx.getStorageSync('user');
    var data = {};
    var urlt = Api.HOST + 'wechat.php?s=Measure/t_up_price';
    data.z_openid = e.z_openid;
    data.t_openid = e.t_openid;
    data.g_time = e.time;
    Api.fetchPost(urlt, data, (err, res) => {
      that.setData({
        lb_id: res[0],
      })
      var lb_descript = {
        id: res,
        desc: e
      }
      wx.setStorageSync("lb_descript", lb_descript);
      var url = Api.HOST_xinli_lb + 'yiyuan/measure/' + res[0] + '.json';
      var data = {};
      data.measure_id = res[0];
      Api.fetchGetN(url, (err, res) => {
        clearTimeout(loadPhoto)
        wx.hideLoading()
        that.setData({
          content: res[0].measure_desc,
          title1: res[0].measure_name,
          show: true
        })
        res[0].measure_id = data.measure_id;
        wx.setStorageSync('lb_swiper_con', res)
        if (res[0].type == 1) {
          wx.setStorageSync('itemData', res)
          that.setData({
            lb_tz: 1
          })
        } else {
          that.setData({
            lb_tz: 0
          })
          var obj = {
            res: res,
            talp: 1
          }
          wx.setStorageSync('liangbiaoCon', obj)
        }
        wx.setStorageSync('lb_tz', 1)
      })
    })
  },
  /**
   * 自定义函数---加载数据
   * */
  loadData() {
    var that = this;
    // 获取授权  上传头像昵称  得到这个用户的信息
    // var url = Api.HOST + 'wechat.php?s=Home/getinfo_two';
    var url = Api.HOST + 'wechat.php?s=Home/getinfo';
    var data = {};
    var user = wx.getStorageSync('user');
    if (this.data.tplb != '1') {
      data.openid = user.openid;

    } else {
      var info = wx.getStorageSync('tplbDetail');
      data.openid = info.z_openid;
      data.characters_id = info.g_id;
    }
    Api.fetchPost(url, data, (err, res) => {
        if(wx.getStorageSync('allUserinfo')) {
            console.log('用的缓存数据');
            var storageUserinfo = wx.getStorageSync('allUserinfo');
            if(storageUserinfo.edu == '') {
                storageUserinfo.edu = 0;
            } else {
                storageUserinfo.edu = storageUserinfo.edu ? storageUserinfo.edu : 0;
            }
            if (!storageUserinfo.birthday) {
                storageUserinfo.birthday = "请选择";
            } else {
                storageUserinfo.birthday = storageUserinfo.birthday;
            }
            if (!that.data.hosiptiaFlag) {
                that.setData({
                  username: storageUserinfo.name ? storageUserinfo.name :'',
                  usernumber: storageUserinfo.usernumber ? storageUserinfo.usernumber : '',
                  username1: storageUserinfo.ask_department ? storageUserinfo.ask_department : '',
                  index: storageUserinfo.edu,
                  idCard:storageUserinfo.idCard ? storageUserinfo.idCard : '',
                  date: storageUserinfo.birthday,
                  sex: storageUserinfo.sex,
                  home: storageUserinfo.house, // 家庭类型
                  fage: storageUserinfo.fage, // 父亲年龄
                  foccupation: storageUserinfo.foccupation, //父亲职业
                  fdegree: storageUserinfo.fdegree, //父亲文化程度
                  mage: storageUserinfo.mage, // 母亲年龄
                  moccupation: storageUserinfo.moccupation, //母亲职业
                  mdegree: storageUserinfo.mdegree, //母亲文化程度
                });
              } else {
                that.setData({
                  username: storageUserinfo.name ? storageUserinfo.name :'',
                  index: storageUserinfo.edu,
                  date: storageUserinfo.birthday,
                  // sex: res.info.xingbie,
                  usernumber: storageUserinfo.usernumber ? storageUserinfo.usernumber : '',
                  sex: storageUserinfo.sex,
                  select: storageUserinfo.hunfou ? storageUserinfo.hunfou : 0,
                  username1: storageUserinfo.ask_department ? storageUserinfo.ask_department : '',
                  idCard:storageUserinfo.idCard ? storageUserinfo.idCard : '',
                });
              }
        } else {
            console.log('用的后端接口数据');
            if (res.info) {
                if (res.info.cultural == '') {
                  res.info.cultural = 0;
                } else {
                  // res.info.cultural = res.info.cultural;
                  res.info.cultural = res.info.cultural ? res.info.cultural : res.info.edu;
                }
                if (!res.info.birthday) {
                  res.info.birthday = "请选择";
                } else {
                  res.info.birthday = res.info.birthday;
                }
                if (!that.data.hosiptiaFlag) {
                  that.setData({
                    username: res.info.name,
                    index: res.info.cultural,
                    idCard:res.info.idCard,
                    date: res.info.birthday,
                    sex: res.info.xingbie,
                    home: res.info.house, // 家庭类型
                    fage: res.info.fage, // 父亲年龄
                    foccupation: res.info.foccupation, //父亲职业
                    fdegree: res.info.fdegree, //父亲文化程度
                    mage: res.info.mage, // 母亲年龄
                    moccupation: res.info.moccupation, //母亲职业
                    mdegree: res.info.mdegree, //母亲文化程度
                  });
                } else {
                  that.setData({
                    username: res.info.name,
                    index: res.info.cultural,
                    date: res.info.birthday,
                    // sex: res.info.xingbie,
                    sex: res.info.xingbie ? res.info.xingbie : res.info.sex,
                    select: res.info.hunfou,
                    username1: res.info.ask_department,
                    idCard:res.info.idCard,
                  });
                }
              }
        }
      
    });
  },
  inputChange: function(e) {
    this.setData({
      username: e.detail.value,
    })
  },
  inputIdCard(e){
    this.setData({
      idCard: e.detail.value,
    })
  },
  people: function(e) {
    this.setData({
      multiIndex: e.detail.value
    })
  },

  //性别
  radioChange: function(e) {
    this.setData({
      sex: e.detail.value,
    })
  },
  //日期
  bindDateChange: function(e) {
    this.setData({
      date: e.detail.value
    })
  },
  // 学历
  bindPickerChange: function(e) {
    var num = e.detail.value;
    this.setData({
      index: num
    })
  },
  submit: function() {
    var userOpenid = wx.getStorageSync('user').openid;
    if(userOpenid == '' || userOpenid == 'undefined' || userOpenid == null) {
        Api.alert("数据异常，请尝试重新进入小程序");
        return false;
    }
    var paramtOpenid = wx.getStorageSync('param_t_openid');
    if(paramtOpenid == '' || paramtOpenid == 'undefined' || paramtOpenid == null) {
        Api.alert("请重新扫码");
        return false;
    }
    var that = this;
    if (this.data.payInfo) {
      this.setData({
        payInfo: false
      })
      var unitid = wx.getStorageSync('data').unitid;
      // var authorize = wx.getStorageSync("weiLb");
      var urlt = Api.HOST + 'wechat.php?s=Home/stinfo_two';
      var data = {};
      var itemData = wx.getStorageSync("itemData");
      data.unitid = unitid ? unitid : '';
      var info = wx.getStorageSync('tplbDetail');
      data.characters_id = info.g_id;
      data.openid = info.z_openid;
      data.name = this.data.username;
      data.sex = this.data.sex;
      data.birthday = this.data.date;
      data.idCard=this.data.idCard,
      // 新添加学历功能
      data.edu = this.data.index;
      if (that.data.hosiptiaFlag) { // 非池州市人民医院
        data.hunfou = this.data.select; // 婚姻状况
        data.ask_department = this.data.username1; // 单位名称
        data.usernumber = this.data.usernumber;//编号
      } else { // 池州市人民医院
        data.fage = this.data.fage; // 父亲年龄
        data.foccupation = this.data.foccupation; //父亲职业
        data.fdegree = this.data.fdegree; //父亲文化程度
        data.mage = this.data.mage; // 母亲年龄
        data.moccupation = this.data.moccupation; //母亲职业
        data.mdegree = this.data.mdegree; //母亲文化程度
        data.house = this.data.home; //家庭类型
      }

      if (that.data.hosiptiaFlag) { // 非池州市人民医院
        if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0||data.idCard==""||data.ask_department==""||data.hunfou==0) {
          // wx.hideLoading()
          clearTimeout(timer1)
          that.setData({
            payInfo: true
          })
          Api.alert('请完善信息');
          return;
        }
        if( data.usernumber=='' || data.usernumber == 'null' || data.usernumber.length != 11){
            that.setData({
              payInfo: true
            })
            Api.alert('请填写正确的手机号');
            return;
          }
          if(!validateIdCard(data.idCard)){
            that.setData({
              payInfo: true
            })
            Api.alert('请填写正确的身份证号');
            return;
          }
      } else {
        // console.log(data)
        if (data.name == '' || data.name == 'null' || data.sex == "null" || data.sex == "" || data.birthday == '' || data.birthday == 'null' || data.edu == 0 || data.fage.length < 1 || data.foccupation.length < 1 || data.fdegree.length < 1 || data.mage.length < 1 || data.moccupation.length < 1 || data.mdegree.length < 1 || data.house.length < 1) {
          // wx.hideLoading()
          clearTimeout(timer1)
          that.setData({
            payInfo: true
          })
          Api.alert('请完善信息');
          return;
        }
        if (Number(data.mage) < 18 || Number(data.fage) < 18 || Number(data.mage) > 100 || Number(data.fage) > 100) {
          that.setData({
            payInfo: true
          })
          Api.alert('请输入合理的年龄');
          return;
        }
      }
      var timer1 = setTimeout(function() {
        // Api.alert("加载失败，请重试")
        wx.hideLoading()
        that.setData({
          payInfo: true
        })
      }, 5000)
      wx.showLoading({
        title: '请稍后',
      })
      wx.setStorageSync("allUserinfo", data);
    //   Api.fetchPost(urlt, data, (err, res) => {
        wx.hideLoading()
        clearTimeout(timer1)
        // if (res.ret == 1) {
          if (that.data.lb_tz == '1') {
            wx.navigateTo({
              url: '/pages/dati01/dati01?tplb=1',
              success: function() {
                setTimeout(function() {
                  that.setData({
                    payInfo: true
                  })
                }, 500)
              }
            })
          } else if (that.data.lb_tz == '0') {
            wx.navigateTo({
              url: '/pages/dati04/dati04?tplb=1',
              success: function() {
                setTimeout(function() {
                  that.setData({
                    payInfo: true
                  })
                }, 500)
              }
            })
          }
        // } else {
        //   Api.alert(res.msg);
        // }
    //   });
    }
  },
  onUnload() {},
  // 时间转换
  resTime: function(str) {
    var hour = str.split(":")[0];
    var minute = str.split(":")[1];
    var sec = str.split(":")[2];
    return (hour * 3600 + minute * 60 + sec);
  },
  fengei: function(str) {
    return str.split(',');
  },
  // 数组求和
  add: function(arr) {
    var num = 0;
    for (let i = 0; i < arr.length; i++) {
      num += Number(arr[i]);
    }
    return num;
  },
  // 婚姻状况
  bindPickerChange1: function(e) {
    var num = e.detail.value;
    this.setData({
      select: num
    })
  },
  // 单位名称
  inputChange1: function(e) {
    this.setData({
      username1: e.detail.value,
    })
  },
  //编号
  inputChange2: function(e) {
    this.setData({
      usernumber: e.detail.value,
    })
  },
  // 下拉刷新
  onPullDownRefresh: function() {
    wx.stopPullDownRefresh()
  },
  fage(e) {
    this.setData({
      fage: e.detail.value
    })
  },
  foccupation(e) {
    this.setData({
      foccupation: e.detail.value
    })
  },
  fdegree(e) {
    this.setData({
      fdegree: e.detail.value
    })
  },
  mage(e) {
    this.setData({
      mage: e.detail.value
    })
  },
  moccupation(e) {
    this.setData({
      moccupation: e.detail.value
    })
  },
  mdegree(e) {
    this.setData({
      mdegree: e.detail.value
    })
  },
  // 困难
  radioChangeHelp: function(e) {
    this.setData({
      home: e.detail.value
    })
  },

})