var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    btnlist: ["管理员", "普通成员"],
    btnnum: 0,
    hidden: true,
    hiddenUSer: true,
    deleteModal: true,
    modelFlag:true,
    modelTitle:'',
    modelType:'',//0 报告 1 身份转让 2 删除
    oType:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let allData = wx.getStorageSync('data');
    this.setData({ marketstatus: allData.marketstatus});
    
   wx.setNavigationBarTitle({
     title: '成员',
   })
    this.setData({ oType: allData.marketstatus })
    if (allData.marketstatus == 1){
      
      this.loadData(2);
    } else if (allData.marketstatus == 2){
      this.loadData(0);
    }
  },
  selectBtn: function (e) {
    var id = e.currentTarget.dataset.id;
    var btnnum = 0;
    if (id == 0) {
      btnnum = 0;
    } else {
      btnnum = 1;
    }
    this.setData({ btnnum: btnnum });
    if (id == 0) {
      this.loadData(2);
    } else if (id == 1) {
      this.loadData(0);
    }
  },
  loadData: function (id) {
    // this.setData({ addBtn:true})
    let that = this;
    // var user = wx.getStorageSync('user');
    var url = Api.HOST + 'wechat.php?s=/Measure/user_list';
    var data = {};
    let allData = wx.getStorageSync('data');
    // if (user.unitid == 0 || user.unitid == null) {
    //   return;
    // }
    data.unitid = allData.unitid;
    data.openid = allData.openid;
    data.status = id;
    console.log(data, 'res')
    Api.fetchPost(url, data, (err, res) => {
      console.log(res, 'res')
      res = res.result;
      if (res.length == 0) {
        that.setData({
          record: true,
          result: [],
          showUser: 1
        });
        return;
      } else {
        that.setData({ addBtn: true })
      }
      var arr = [];
      for (let i = 0; i < res.length; i++) {
        res[i].createtime = Api.timestampToTime(res[i].createtime);
        res[i].id = Number(res[i].id)
        var json = {
          report: res[i].all_report,
          openid: res[i].openid,
          name: res[i].name,
          headimgurl: res[i].headimgurl,
          createtime: res[i].createtime,
          id: i,
          marketstatus: res[i].marketstatus
        }
        arr.push(json)
      }
      that.setData({ result: arr, showUser: 0 })
    })
  },
  deleteUp(e){
    let that = this;
    var num = e.currentTarget.dataset.idnum; // oid -- openid
    var oid = e.currentTarget.dataset.oid; // id--index
    var nameUser = e.currentTarget.dataset.name; // name -- name
    let maFlag = e.currentTarget.dataset.m;
    let report = e.currentTarget.dataset.report;
    console.log(e)
    this.checkStuts(oid); // 获取查看明细信息
    this.setData({
      deleteModal: false, num: num, oid: oid, nameUser: nameUser, animate: false, maFlag: maFlag, report: report
    })
  },
  checkStuts(oid) {
    let that = this;
    var allData = wx.getStorageSync('data');
    var url = Api.HOST + 'wechat.php?s=/Measure/transaction';
    var data = {};
    data.openid = oid;
    data.unitid = allData.unitid;
    data.transaction =
      Api.fetchPost(url, data, (err, res) => {
        that.setData({ checkDetail: res })
        console.log('是否查看明细状态', res)
      })
  },
  checkDetail() {
    let that = this;
    var allData = wx.getStorageSync('data');
    var checkDetail = this.data.checkDetail;
    var check = 0;
    if (Number(checkDetail) == 0) {
      this.setData({
        checkDetail: 1
      })
      check = 1;
    } else {
      this.setData({
        checkDetail: 0
      })
    }
    // console.log(this.data.checkDetail)
    // 
    var url = Api.HOST + 'wechat.php?s=/Measure/edit_transaction';
    var data = {};
    data.openid = this.data.oid;
    data.unitid = allData.unitid;
    data.transaction = check;
    Api.fetchPost(url, data, (err, res) => {
      that.setData({ deleteModal: true })
      wx.showToast({
        title: '修改成功',
        icon: 'success',
        duration: 2000
      })
      console.log('是否查看明细', res)
    })

  },
  selectInfo(e){
    var id = e.currentTarget.dataset.oid;
    wx.navigateTo({
      url: '/pages/setperm/setperm?oid=' + id,
    })
  },
  // 删除管理员按钮---调起警告框
  deleteUser: function () {
    this.setData({
      hidden: false,
    })
  },
  // 取消编辑层
  cancelModal: function () {
    this.setData({
      deleteModal: true
    })
  },
  cancel() {
    this.setData({
      hidden: true
    })
  },
  confirm() {
    this.setData({
      hidden: true,
      falg: true
    })
    let that = this;
    var url = Api.HOST + 'wechat.php?s=/Measure/admin_del';
    var data = {};
    console.log(that.data.oid)
    if (!that.data.oid) {
      return;
    }
    data.openid = that.data.oid;
    console.log(data)
    Api.fetchPost(url, data, (err, res) => {
      console.log(res, 'res')
      if (res == 1) {
        that.setData({
          animate: true,
          deleteModal: true
        })
      }
    })
    this.onLoad();
  },
  cancelUser() {
    this.setData({
      hiddenUSer: true
    })
  },
  changeUser(e) {
    let that = this;
    let _type = e.currentTarget.dataset.type;
    var allData = wx.getStorageSync('data');
    // var url = Api.HOST + 'wechat.php?s=/Measure/super_admin';
    var url = Api.HOST + 'wechat.php?s=/Measure/edit_user';
    var data = {};
    wx.showLoading({
      title: '正在设置',
    })
    data.openid = this.data.oid;
    data.unitid = allData.unitid;
    data.status = _type;
    Api.fetchPost(url, data, (err, res) => {
      // console.log(res)
      wx.hideLoading();
      if (res) {
        if (res.ret == 1) {
          let num = that.data.num;
          let result = that.data.result.map((item, index) => {
            item.marketstatus = 1;
            return item;
          })
          let btnnum = _type == 0? 1:0;
          that.setData({
            animate: false,
            deleteModal: true,
            result: result,
            btnnum: btnnum
          });
          console.log('_type', _type)
          if (_type == 0){
            that.loadData(0);
          }else{
            that.loadData(2);
          }
        }
      }
    })
  },
  // 转让身份
  zhuanUser: function () {
    var n = this.data.oid;
    var name = this.data.nameUser;
    this.setData({ modelFlag: false, oid: n, showname: name, modelTitle: '确认将超级管理员身份转让给' + name + '?', modelType: 1 })
    // this.setData({
    //   hiddenUSer: false
    // })
  },
 
  confirmUser() {
    wx.navigateTo({
      url: '/pages/user/user?share=1',
    })
  },
  // 查看报告
  checkReport(e){
    this.setData({ modelFlag: false,modelTitle: '是否允许该用户查看所有报告?',modelType:0})
  },
  cancelModel(e){
    this.setData({
      modelFlag: true
    })
  },
  confirmModel(e){
    if (this.data.modelType == 0){ // 查看报告
      if(this.data.report == 1){
        this.reportData(0)
      }else{
        this.reportData(1)
      }
      
    } else if (this.data.modelType == 1){ //转让身份
      this.changeIdt()
    }
  },
  reportData(id){
    let that = this;
    var url = Api.HOST + 'wechat.php?s=/Measure/all_report';
    let allData = wx.getStorageSync('data');
    var data = {};
    wx.showLoading({
      title: '正在设置',
    })
    data.openid = this.data.oid;
    data.unitid = allData.unitid;
    data.status = id;
    Api.fetchPost(url, data, (err, res) => {
      // console.log(res)
      wx.hideLoading();
      if(res.ret == 1){
        let list = this.data.result;
        let num = this.data.num;
        list[num].report = id;
        that.setData({
          modelFlag: true,
          result: list,
          deleteModal: true
        })
      }
      
    })
  },
  // 身份转让
  changeIdt() {
    let that = this;
    var url = Api.HOST + 'wechat.php?s=/Measure/transfer_identity';
    let allData = wx.getStorageSync('data');
    var data = {};
    wx.showLoading({
      title: '正在设置',
    })
    data.openid = allData.openid;
    data.unitid = allData.unitid;
    data.t_openid = this.data.oid;
    console.log('data',data)
    Api.fetchPost(url, data, (err, res) => {
      // console.log(res)
      wx.hideLoading();
      if(res.ret == 1){
        wx.switchTab({
          url: '/pages/index/index',
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      deleteModal: true,
      hidden: true,
      hiddenUSer: true,
      modelFlag: true,
    })
  },
  userBtn: function (e) {
    var win = e.target.dataset.id;
    if (win) {
      this.setData({
        deleteModal: true
      })
    }
  },

})