// pages/showqdetail/showqdetail.js
var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    arr: '',
    title: [],
    mon: [],
    status: '',
    is_type: '',
    id: '',
    check: '', //  查看报告
    repeat: '', //重复扫码

    hidden: true,
    flag: false,
    queding: false,
    g_name: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var id = options.id;
    var idn = options.idn;
    wx.setNavigationBarTitle({
      title: '授权详情'
    });
    this.setData({
      idx: id,
      idn: idn
    })
    // var shouquan = wx.getStorageSync('shouquan');
    // this.structureData(id, shouquan);
  },
  structureData(n, e) {
    for (let i = 0; i < e.length; i++) {
      if (n == e[i].id) {
        var json = {
          time: Api.timestampToTime(e[i].time),
          money: e[i].money,
        }
        console.log((e[i]), '9999')
        var title = this.backCon(e[i].measure_name);
        var mon = this.backCon(e[i].price);
        this.setData({
          g_name: e[i].g_name,
          arr: json,
          title: title,
          mon: mon,
          status: e[i].status,
          is_type: e[i].is_type,
          id: n,
          repeat: e[i].repeat_code,
          is_yzm: e[i].is_yzm
        })
        if (e[i].is_type == 1) {
          this.setData({
            check: true
          })
        } else {
          check: false
        }
      }
    }
  },
  backCon(str) {
    return str.split(',');
  },
  switchRepeat(e) {
    var data = {};
    if (Number(this.data.repeat) == 1) {
      this.setData({
        repeat: 0
      })
      data.repeat_code = 0;
    } else {
      this.setData({
        repeat: 1
      })
      data.repeat_code = 1;
    }

    let that = this;
    var url = Api.HOST + 'wechat.php?s=Measure/gauge_up';
    var user = wx.getStorageSync('user');
    // data.openid = user.openid;
    data.id = this.data.id;
    // return;
    Api.fetchPost(url, data, (err, res) => {
      console.log(res)
      if (res == 1) {
        console.log('ok')
        that.setData({
          queding: true
        })
      }
    })
  },
  switchCode(e) {
    console.log("switchCode", this.data.is_yzm)
    var data = {};
    if (Number(this.data.is_yzm) == 1) {
      this.setData({
        is_yzm: 2
      })
      data.is_yzm = 2;
    } else {
      this.setData({
        is_yzm: 1
      })
      data.is_yzm = 1;
    }

    let that = this;
    var url = Api.HOST + 'wechat.php?s=Measure/gauge_up';
    var user = wx.getStorageSync('user');
    // data.openid = user.openid;
    data.id = this.data.id;
    // return;
    console.log("switchCode", data)
    Api.fetchPost(url, data, (err, res) => {
      console.log(res)
      if (res == 1) {
        console.log('ok')
        that.setData({
          queding: true
        })
      }
    })
  },
  switch1Change(e) {
    var data = {};
    if (this.data.check) {
      this.setData({
        check: false
      })
      data.is_type = 0;
    } else {
      this.setData({
        check: true
      })
      data.is_type = 1;
    }

    let that = this;
    var url = Api.HOST + 'wechat.php?s=Measure/gauge_up';

    var user = wx.getStorageSync('user');
    // data.openid = user.openid;
    data.id = this.data.id;

    Api.fetchPost(url, data, (err, res) => {
      console.log(res)
      if (res == 1) {
        console.log('ok')
        that.setData({
          queding: true
        })
      }
    })
  },
  goShow() {
    let that = this;
    this.setData({
      hidden: false
    })
  },
  cancel() {
    this.setData({
      hidden: true
    })
  },
  confirm() {
    this.setData({
      hidden: true,
      falg: true
    })
    let that = this;
    var url = Api.HOST + 'wechat.php?s=Measure/gauge_del';
    var data = {};
    var user = wx.getStorageSync('user');
    data.id = this.data.id;
    Api.fetchPost(url, data, (err, res) => {
      if (res == 1) {
        var obj = {
          idx: that.data.idx,
          idn: that.data.idn,
          con: 0, // ==0 删除记录
        }
        wx.setStorageSync('shouquanfalg', obj)
        wx.navigateBack({
          delta: 1
        })
        // wx.reLaunch({
        //   url: '/pages/shouquan/shouquan',
        // })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var pages = getCurrentPages();
    var currPage = pages[pages.length - 2];
    console.log(currPage, 'currPage')
    var id = currPage.data.nextData;
    var con = currPage.data.next;
    console.log(con, 'currPage')
    if (id && con) {
      // var shouquan = wx.getStorageSync('shouquan');
      this.structureData(id.id, con);
      this.setData({
        con: con
      })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    // wx.removeStorageSync('shouquan');
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    // wx.removeStorageSync('shouquan');
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  qrcode() {
    // var shouquan = wx.getStorageSync('shouquan');
    var shouquan = this.data.con;
    var qrSrc = '',
      qrTime = "";

    for (let i in shouquan) {
      if (this.data.id == shouquan[i].id) {
        qrSrc = shouquan[i].homeurl;
        qrTime = shouquan[i].time;
      }
    }
    var url = Api.HOST + 'wechat.php?s=Measure/gauge_find';
    var data = {};
    data.g_id = this.data.id;
    Api.fetchPost(url, data, (err, res) => {
      if (res.code == 1) {
        wx.setStorageSync('qrSrc', res.data.img_base64);
        if (qrTime != '')
          wx.setStorageSync("qrTime", qrTime);
        wx.navigateTo({
          url: '/pages/QRcode/QRcode?type=2&g_name=' + this.data.g_name + "&id=" + this.data.id
        })
      }
    })


  },
  goBack: function () {
    let check = 0;
    if (this.data.check) {
      check = 1
    }
    let repeat_code = 0;
    if (Number(this.data.repeat) == 1) {
      repeat_code = 1;
    }
    var obj = {
      idx: this.data.idx,
      idn: this.data.idn,
      check: check,
      repeat_code: repeat_code,
      con: 1, // ==1 允许查看报告
    }
    wx.setStorageSync('shouquanfalg', obj)
    wx.navigateBack({
      delta: 1
    })
  }
})