var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    // loadimg: 0,
    imgSrc: '',
    headImg: Api.HOST + 'Public/yanzheng/logo.png',
    phonenumber: '',
    name: '',
    info: "",
    btnInfo: true,
    dis: false,
    color: false,
    oid:"", // 用于转换身份 
    puid:0,// 关联销售id
    idx: 0,//关联销售id
    uploadFileFlag: 0,//判断是否有上传图片
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var otype = options.share;// 0  从分享页面跳转
    // 转发接受参数
    var puid = options.puid
    var idx = options.idx
    // 扫码接受参数
    let z_unionid = options.z_unionid  // 销售unionid
    let t_unionid = options.t_unionid // 销售关联id
    // 
    let that = this;
    this.setData({ otype: otype})
    if(puid){
      this.setData({
        puid: puid ,
        idx:idx
      })
    }
    if (z_unionid){
      this.setData({
        puid: t_unionid,
        idx: z_unionid
      })
    }
    var user = wx.getStorageSync('user');
    if (otype == 1){  // ==1 信息修改--身份转让
      this.setData({
        dis: true,
      })
    }
    if (!user) {
      console.log(!user,"bucunz ")
      // wx.showLoading({
      //   title: '',
      // })
      setTimeout(function () {
        var user = wx.getStorageSync("user");
        console.log(!user, "bucunz ")
        if (!user) {
         
          setTimeout(function () {
            var user = wx.getStorageSync("user");
            if (!user) {
              Api.alert("网络连接超时。")
            } else {
              // if (otype == 1) {
              //   that.login();
              // }
              that.login();
            }
          }, 2000)
        } else {
          console.log("wewew")
          that.login();
        }
      }, 2000)

    } else {
      // if (otype == 1) { 
      // }
      that.login();
    }
    wx.setNavigationBarTitle({
      title: "心理CT系统"
    })
  },
  submit: function () {
    let that = this;

    if (true) {
      that.setData({ btnInfo: false })
      var imgSrc = '';
      if (this.data.uploadFileFlag == 0) {
        imgSrc = that.data.imgSrc;
      } else if (this.data.uploadFileFlag == 1) {
        imgSrc = this.data.newimg;
      }
      var info = that.data.info;
      var name = that.data.name;
      var phone = that.data.phonenumber;
      console.log('imgSrc', imgSrc)
      if (imgSrc == "" || imgSrc.length < 1) {
        // Api.alert("请上传logo")
        // that.setData({ btnInfo: true })
        // return;
        imgSrc = this.data.headImg;
      }
      if (info == "") {
        Api.alert("请填写医院名称")
        that.setData({ btnInfo: true })
        return;
      }
      if (name == "") {
        Api.alert("请填写姓名")
        that.setData({ btnInfo: true })
        return;
      }
      if (phone.length != 11) {
        Api.alert("请输入正确的手机号码")
        that.setData({ btnInfo: true })
        return;
      }
      var user = wx.getStorageSync('user');
      var url = Api.HOST + 'wechat.php?s=Home/register';
      var data = {};
      data.unit = info;
      data.openid = user.openid;
      data.phonenumber = phone;
      data.account = name;
      data.t_unionid = this.data.puid
      data.z_unionid = this.data.idx;
      data.imgsrc = imgSrc;
      // 身份转让
      if(this.data.ootype == 1){
        data.type = 1;
        data.oid = this.data.oid;
      }else{

      }
      var unload = setTimeout(function(){
        wx.hideLoading()
        wx.showToast({ icon: 'none', title: '您当前的网络不稳定，请检查网络重新提交', duration: 2000 })
        that.setData({
          btnInfo: true
        })
      },5000)
      wx.showLoading({
        title: '正在提交',
      })
      console.log('data',data)
      Api.fetchPost(url, data, (err, res) => {
        clearTimeout(unload)
        var data = res.data
        wx.hideLoading()
        if (that.data.otype == 1) {
          wx.reLaunch({
            url: '/pages/index/index',
            success: function () {
              setTimeout(function () {
                that.setData({
                  btnInfo: true
                })
              }, 500)
            }
          })
        } else if(that.data.otype == 0){
          wx.redirectTo({
            url: '/pages/shenhe/shenhe',
            success: function () {
              setTimeout(function () {
                that.setData({
                  btnInfo: true
                })
              }, 500)
            }
          })
          // Api.alert('您的信息已提交，请等待我们工作人员的审核。', function () {

          // });
        }
      })
    }

  },
  downloadimg: function (e) {
    let that = this;
    that.setData({ info: e.hospitalname, name: e.name, phonenumber: e.phone, imgSrc: e.hospitalimg })
  },
  bindinput1: function (e) {
    this.setData({ info: e.detail.value })
  },
  bindinput2: function (e) {
    this.setData({ name: e.detail.value })
  },
  bindinput3: function (e) {
    var num = e.detail.value;
    // if(Number(num).length != 11) return;
    this.setData({ phonenumber: e.detail.value })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var user = wx.getStorageSync('user');
    if(user){
      this.login()
    }
    // 身份转换  
    var pages = getCurrentPages();
    var currPage = pages[pages.length - 2];
    console.log(currPage,"currPage")
    if (currPage){
      if (currPage.route == "pages/addAdm/addAdm") {
        var oid = currPage.data.oid;
        this.setData({ oid: oid, ootype: 1,otype: 1 })
      }
    }
    
     
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },
  onShareAppMessage: function () {
    let that = this;
    var user = wx.getStorageSync('user');
    var data_1 = wx.getStorageSync('data');
    this.setData({
      modal: true
    })
    return {
      title: "心理CT系统",
      imageUrl: that.data.suolueImg,
      path: 'pages/user/user?otype=1',
      success: function (res) {
      }
    }
  },
  login: function () {
    let that = this;
    app.getUserInfo(function (userInfo) { })
    var user = wx.getStorageSync('user');
    var url1 = Api.HOST + 'wechat.php?s=Home/hospital';
    var data1 = {};
    data1.unitid = user.unitid;
    Api.fetchPost(url1, data1, (err, res) => {
      // console.log(res, 'ss')
      wx.hideLoading();
      if (res) { // 普通用户进入 返回值 null 
        that.setData({ dis: true, color: true })
        that.downloadimg(res)
        var scene = that.data.otype;
        if (scene == 1) return; // ==0 申请用户第二次进入 
        if (res.type == 1) {
          wx.showLoading({
            title: '加载中',
          })
          setTimeout(function () {
            wx.hideLoading()
            wx.switchTab({
              url: '/pages/index/index',
            })
          }, 2000)

        } else if (res.type == 0) {
          wx.showLoading({
            title: '加载中',
          })
          setTimeout(function () {
            wx.hideLoading()
            wx.redirectTo({
              url: '/pages/shenhe/shenhe',
            })
          }, 2000)
        }
        
      }
    })
  },
  uploadImg() {
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success: function (res) {
        wx.navigateTo({
          url: '/pages/screenshots/screenshots?imgpage=' + res.tempFilePaths[0]
        })
      }

    });
  },
  eimgcutcb: function (newimg) {
    this.setData({
      newimg: newimg,
      uploadFileFlag: 1
    });
  },
})