var WxParse = require('../../wxParse/wxParse.js');
var Api = require('../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    winH: "",
    srcImg:[],
    img_H:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    /**
     * 自定义函数--系统配置
     * 计算高度
     * 设置标题
     * */
    this.main();
    /**
     * 自定义函数--加载数据
     * 获取图片的高度
     * 获取图片数据
     * */
    this.onloadData();
  },
  /**
   * 自定义函数--系统配置
   * 计算高度
   * 设置标题
   * */
  main() {
    let that = this;
    //  计算高度
    wx.getSystemInfo({
      success: (res) => {
        that.setData({
          winH: res.windowHeight
        });
      }
    });
    // 标题
    wx.setNavigationBarTitle({
      title: "小懂健康服务协议"
    })
  },
  /**
   * 自定义函数--加载数据
   * 上传参数  typea = 2 加载协议的图片
   * 获取图片的高度
   * 获取图片数据
   * */
  onloadData() { 
    let that = this;
    var url = Api.HOST + 'wechat.php?s=Home/isFenXiang';
    var data={};
    data.typea = 2;
    Api.fetchPost(url,data,(err,res) => {
      var ban = res.res;
      var host = Api.HOST;
      for (let i = 0; i < ban.imgpath.length; i++) {
        ban.imgpath[i] = that.dealPho(ban.imgpath[i], host);
      }
      var arr = ban.homeimg.split(',');
      that.setData({
        srcImg: ban.imgpath,
        img_H: arr
      })
    })

  },
  dealPho(str, host) {
    return str.replace(".", host);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})