
var Api = require('../../utils/api.js');
var app = getApp();
// pages/cashregister/cashregister.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    img: Api.HOST + 'Public/yanzheng/logo.png',
    nickname: '',
    title:'收入记录',
    money: '',
    num: '',
    recordDta: '',
    winH:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    wx.getSystemInfo({
      success: (res) => {
        console.log(res.model)
        if (/^iPhone X.*/i.test(res.model)) {
          that.setData({
            iPhoneX: true,
            winH: res.windowHeight - 75
          })
        } else {
          that.setData({
            iPhoneX: false,
            winH: res.windowHeight - 50
          })
        }
      }
    });
    var userInfo = wx.getStorageSync('userInfo');
    if (userInfo) {
      this.setData({
        img: userInfo.avatarUrl,
        nickname: userInfo.nickName,
      })
    }
    var url = Api.HOST + 'wechat.php?s=Home/percenter';
    // var url = 'http://localhost/xiaodong/kongtian/wechat.php?s=Home/percenter';
    var data = {};
    var user = wx.getStorageSync('user');
    console.log(user,'lllll');
    data.openid = user.openid;
    Api.fetchPost(url, data, (err, res) => {
      console.log(res)
      var recor404 = (res.info.arr.length == 0) ? 0 : 1;
      that.setData({
        // img: res.info.headimgurl,
        // nickname: res.info.nickname,
        money: res.info.zongmoney,
        num: res.info.zhifucount,
        recordDta: res.info.arr,
        recor404: recor404
      });
    });
    
    wx.setNavigationBarTitle({
      title: "收入记录"
    })
  },
  goDetail: function (e) {
    var num = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../cashDetail/cashDetail?type=0&id=' + num,
    })
  },
  goInco: function () {
    wx.redirectTo({
      url: '../cashregister/cashregister',
    })
  },
  goExpe: function () {
    wx.redirectTo({
      url: '../zhichuRecord/zhichuRecord',
    })
  },
  goWith: function () {
    wx.redirectTo({
      url: '../cashRecord/cashRecord',
    })
  },
})