// pages/shouquan/shouquan.js
var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    arr: [],
    record404: true,
    img404: Api.HOST + 'Public/yanzheng/ff.png',
    winH: '',
    scrollY: true,
    page: 0,
    toView: 'load',
    scrollFlag: true,
    success: 1,
    res: [],
    next: [],
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that = this;
    wx.getSystemInfo({
      success: (res) => {
        that.setData({
          winH: res.windowHeight
        })
      }
    })

    wx.setNavigationBarTitle({
      title: "授权记录"
    })
  },
  /**
  * 自定义函数--合成数据
  */
  structureData(e) {
    let that = this;
    let obj = [];
    for (let i in e) {
      var json = {
        time: Api.timestampToTime(e[i].time),
        money: e[i].money,
        num: that.Length(e[i].measure_id),
        idx: e[i].id,
        n: e[i].num,
        status: e[i].status,
        name: e[i].measure_name.split(',')
      }
      if (json.name.length == 1) {
        json.name[1] = '';
        json.name[2] = '';
      }
      if (json.name.length == 2) {
        json.name[2] = '';
      }
      obj.push(json);
    }
    // var nex = this.data.next;
    var nex = e;
    nex.push.apply(nex, e);
    this.setData({
      arr: obj,
      next: nex
    })
  },
  Length(s) {
    return s.split(',').length;
  },
  goDetail(e) {
    console.log(e)
    var id = e.currentTarget.dataset.id;
    var idn = e.currentTarget.dataset.idn;
    var nextData = {
      id: id,
    }
    this.setData({ nextData: nextData })
    console.log(id)
    // setTimeout(function(){
    wx.navigateTo({
      url: '/pages/showqdetail/showqdetail?id=' + id + '&idn='+idn,
    })
    // }, 300)
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    var shouquanfalg = wx.getStorageSync('shouquanfalg');
    if (shouquanfalg) {
      var arr = this.data.arr;
      var next = this.data.next;
      var idx = shouquanfalg.idx;
      let idn = shouquanfalg.idn;
      if (shouquanfalg.con == 1) {
        if (arr[idn].idx == idx) {
          arr[idn].is_type = shouquanfalg.check
          next[idn].is_type = shouquanfalg.check
          arr[idn].repeat_code = shouquanfalg.repeat_code;
          next[idn].repeat_code = shouquanfalg.repeat_code
          this.setData({ arr: arr, next: next })
          wx.removeStorageSync('shouquanfalg')
        } else {
          console.log(arr[idn].idx, idx, '不相等')
        }
      }
      if (shouquanfalg.con == 0) {
        if (arr[idn].idx == idx) {
          arr.splice(idn, 1)
          next.splice(idn, 1)
          this.setData({ arr: arr, next: next })
          wx.removeStorageSync('shouquanfalg')
        } else {
          console.log(arr[idn].idx, idx, '不相等')
        }
      }
    }
    this.freshData();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },



  lower: function () {
    let that = this;
    let data = {};
    var url = Api.HOST + 'wechat.php?s=Measure/gauge_list';
    data.page = Number(this.data.page) + 10;
    var user = wx.getStorageSync('user');
    data.openid = user.openid;
    Api.fetchPost(url, data, (err, res) => {
      // console.log(res,'res')
      wx.stopPullDownRefresh()
      if (res.length == 0) {
        that.setData({
          scrollFlag: false
        })
      } else {
        var a = that.data.res;
        for (let i = 0; i < res.length; i++) {
          a.push(res[i]);
        }
        that.setData({
          page: Number(that.data.page) + 10,
          res: a,
          scrollFlag: true,
          success: 1
        })
        that.structureData(a);
      }
    })
  },
  scroll: function () {
    this.setData({
      success: 0
    })
  },
  // 下拉刷新
  onPullDownRefresh: function () {
    console.log("ppp")
    this.setData({
      success: false,
      page: 0
    })
    this.freshData();
  },
  freshData: function () {
    let that = this;
    var url = Api.HOST + 'wechat.php?s=Measure/gauge_list';
    var data = {};
    data.page = 0;
    var user = wx.getStorageSync('user');
    data.openid = user.openid;
    Api.fetchPost(url, data, (err, res) => {
      console.log(res, 'res')
      wx.stopPullDownRefresh()
      if (res.length == 0) {
        that.setData({
          record404: false
        })
      } else {
        that.setData({
          record404: true,
          page: 0,
          res: res
        })
      }
      that.structureData(res);
    })
  },
  /**
  * 页面上拉触底事件的处理函数
  */
  onReachBottom: function () {
      this.setData({
        scrollFlag: true,
        success: false
      })
      this.lower();
  },
})