var Api = require('../../utils/api.js');
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    recordDta: [],
    toView: 'load',
    success: 1,
    page: 0,
    scrollFlag: true,
    barFlag: true,
    page: 0,
    record404:'',
    show:false
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    wx.getSystemInfo({
      success: (res) => {
        console.log(res.model)
        if (/^iPhone X.*/i.test(res.model)) {
          that.setData({
            iPhoneX: true,
            winH: res.windowHeight
          })
        } else {
          that.setData({
            iPhoneX: false,
            winH: res.windowHeight
          })
        }
      }
    });
    wx.showLoading({
      title: '正在加载',
    })
    var url = Api.HOST + 'wechat.php?s=Money/Experience_gold';
    var data = {};
    var user = wx.getStorageSync('user');
    if (user.unitid) {
      data.unitid = user.unitid;
      data.page = 0;
    }
    Api.fetchPost(url, data, (err, res) => {
      wx.hideLoading()
      console.log(res, 'res')
      if (res.length != 0) {
        if (res.length < 20) {
          that.setData({
            scrollFlag: false,
          })
        }
        that.structData(res);
        that.setData({ record404: true,show:true})
      } else {
        that.setData({
          record404: false, show: true
        })
      }

    })
    wx.setNavigationBarTitle({
      title: "交易明细"
    });
  },
  structData: function (data) {
    var resu = this.data.recordDta;
    for (let i = 0; i < data.length; i++) {
      data[i].createtime = this.time(data[i].createtime);
      resu.push(data[i])
    }
    var scrollFlag = data.length < 20 ? false : true;
    console.log(scrollFlag, 'scrollFlag')
    this.setData({
      recordDta: resu,
      page: Number(this.data.page) + 20,
      success: 1,
      scrollFlag: scrollFlag
    })
  },
  time(timestamp) {
    var date = new Date(timestamp * 1000);//时间戳为10位需*1000，时间戳为13位的话不需乘1000
    var Y = date.getFullYear() + '-';
    var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
    var D = date.getDate() + ' ';
    var h = date.getHours() + ':';
    var m = date.getMinutes();
    m = m < 10 ? '0' + m : m;
    return Y + M + D + h + m;
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
  lower: function () {
    let that = this;
    if (!this.data.scrollFlag)
      return;
    var url = Api.HOST + 'wechat.php?s=Money/Experience_gold';
    var data = {};
    var user = wx.getStorageSync('user');

    if (user.unitid) {
      data.unitid = user.unitid
    }
    data.page = this.data.page;
    data.openid = user.openid;
    Api.fetchPost(url, data, (err, res) => {
      console.log(res, 'res')
      if (res.length != 0) {
        that.structData(res);
      } else {
        that.setData({
          scrollFlag: false,
        })
      }

    })
  },
  scroll: function () {
    this.setData({
      success: 0
    })
  },
})